package com.enterprise.manage.modules.asset.domain;

import com.enterprise.manage.common.base.BaseDomain;
import org.apache.ibatis.type.Alias;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 描述：土地信息对象 land
 *
 * @author QingLi Wang
 * 2023-11-28 09:51
 */
@Alias("Land")
public class Land extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 土地证编号
     */
    private String licenseNumber;

    /**
     * 是否已办理土地证
     */
    private Integer applyCertificate;

    /**
     * 发证日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date certificateStartDate;

    /**
     * 证书截止日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date certificateEndDate;

    /**
     * 坐落位置
     */
    private String address;

    /**
     * 面积
     */
    private Long area;

    /**
     * 用途
     */
    private Integer useType;

    /**
     * 使用权类型
     */
    private Integer usePowerType;

    /**
     * 土地权利人（选择下属单位）
     */
    private Long enterpriseId;

    /**
     * 行为发生时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date behaviorStartTime;

    /**
     * 利用现状
     */
    private Integer utilizationStatus;

    /**
     * 低效利用或空闲土地面积,与利用现状有关
     */
    private Long inefficientUseOrIdleArea;

    /**
     * 是否为存量土地
     */
    private Integer stock;

    /**
     * 是否权属无争议
     */
    private Integer ownership;

    /**
     * 是否补充手续
     */
    private Integer supplementProcedure;

    /**
     * 是否涉及国有企业公司制涉及的土地权利人名称变更
     */
    private Integer enterpriseChangeName;

    /**
     * 是否涉及改制国有企业划拨土地需转出让
     */
    private Integer transferRequired;

    /**
     * 上报状态
     */
    private Integer escalation;

    /**
     * 审核状态
     */
    private Integer examineStatus;

    /**
     * 审核描述
     */
    private String examineDesc;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLicenseNumber() {
        return licenseNumber;
    }

    public void setLicenseNumber(String licenseNumber) {
        this.licenseNumber = licenseNumber;
    }

    public Integer getApplyCertificate() {
        return applyCertificate;
    }

    public void setApplyCertificate(Integer applyCertificate) {
        this.applyCertificate = applyCertificate;
    }

    public Date getCertificateStartDate() {
        return certificateStartDate;
    }

    public void setCertificateStartDate(Date certificateStartDate) {
        this.certificateStartDate = certificateStartDate;
    }

    public Date getCertificateEndDate() {
        return certificateEndDate;
    }

    public void setCertificateEndDate(Date certificateEndDate) {
        this.certificateEndDate = certificateEndDate;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Long getArea() {
        return area;
    }

    public void setArea(Long area) {
        this.area = area;
    }

    public Integer getUseType() {
        return useType;
    }

    public void setUseType(Integer useType) {
        this.useType = useType;
    }

    public Integer getUsePowerType() {
        return usePowerType;
    }

    public void setUsePowerType(Integer usePowerType) {
        this.usePowerType = usePowerType;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Date getBehaviorStartTime() {
        return behaviorStartTime;
    }

    public void setBehaviorStartTime(Date behaviorStartTime) {
        this.behaviorStartTime = behaviorStartTime;
    }

    public Integer getUtilizationStatus() {
        return utilizationStatus;
    }

    public void setUtilizationStatus(Integer utilizationStatus) {
        this.utilizationStatus = utilizationStatus;
    }

    public Long getInefficientUseOrIdleArea() {
        return inefficientUseOrIdleArea;
    }

    public void setInefficientUseOrIdleArea(Long inefficientUseOrIdleArea) {
        this.inefficientUseOrIdleArea = inefficientUseOrIdleArea;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Integer getOwnership() {
        return ownership;
    }

    public void setOwnership(Integer ownership) {
        this.ownership = ownership;
    }

    public Integer getSupplementProcedure() {
        return supplementProcedure;
    }

    public void setSupplementProcedure(Integer supplementProcedure) {
        this.supplementProcedure = supplementProcedure;
    }

    public Integer getEnterpriseChangeName() {
        return enterpriseChangeName;
    }

    public void setEnterpriseChangeName(Integer enterpriseChangeName) {
        this.enterpriseChangeName = enterpriseChangeName;
    }

    public Integer getTransferRequired() {
        return transferRequired;
    }

    public void setTransferRequired(Integer transferRequired) {
        this.transferRequired = transferRequired;
    }

    public Integer getEscalation() {
        return escalation;
    }

    public void setEscalation(Integer escalation) {
        this.escalation = escalation;
    }

    public Integer getExamineStatus() {
        return examineStatus;
    }

    public void setExamineStatus(Integer examineStatus) {
        this.examineStatus = examineStatus;
    }

    public String getExamineDesc() {
        return examineDesc;
    }

    public void setExamineDesc(String examineDesc) {
        this.examineDesc = examineDesc;
    }
}
